<?php

namespace App\Http\Controllers\Volunteer;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\InterviewSlot;
use Illuminate\Support\Facades\Mail;
use App\Models\User;
use Illuminate\Support\Facades\Validator;
use Carbon\Carbon;
use Auth;
class InterviewSlotController extends Controller
{

    public function index($status= ""){
        $user = Auth::user();
        // dd($user->application);
        if($user->application == null){
             return redirect(route('volunteer.apply.index'));
        }elseif($user->short_list ==null){
            return redirect(route('volunteer.form.one'));
        }

        $dat = InterviewSlot::whereStatus("A")->whereInterviewee_id($user->id)->count();
        $mytime = Carbon::now();
        $c_date= $mytime->toDateString();


        // if($user->short_list == null):
        //     return redirect()->route('Volunteer.apply');
        // elseif($user->batch_traine != null):
        //      return redirect()->route('Volunteer.feedback');
        if($dat == 0):
            $dat = InterviewSlot::whereStatus("P")->where('date','>=', $c_date)->get();
            $title = "Available Interview Slots";
        else:
            $dat = InterviewSlot::whereStatus("A")->whereInterviewee_id($user->id)->get();
            $title = "My Slots";
        endif;
        return view('volunteer.interview-slots.index' , compact('dat' , 'status' , 'title'));
    }
    
    
    public function status($id , $status){
        $slot = InterviewSlot::findOrFail($id);
        if($slot->status == "P"){
            $slot->status = $status;
            $slot->interviewee_id = Auth::user()->id;
            $slot->update();
            $slot->booking_time = $slot->updated_at->toTimeString();
            $slot->update();
        }else{
            return back()->with("error", "This slot is booked by someone else");
        }
        return back()->with("success", "Selected Successfully");
    }


}