<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Auth;
class RoleMiddleWare
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next , $role)
    {
        if(Auth::check()){
            $user = Auth::user();
            if ($user->user_type == $role) {
                return $next($request);
            }else if($user->user_type == "Admin"){
                return redirect(route('admin.applications.index' , 'all'));
            }else if($user->user_type == "volunteer"){
                return redirect(route('volunteer.apply.index'));
            }else if($user->user_type == "tip"){
                return redirect(route('tip.batches.index'));
            }else if($user->user_type == "client"){
                return redirect(route('client.referal.index'));
            }  
            else if($user->user_type == "caregiver"){
                return redirect(route('caregiver.referal.index'));
            }     
        }else{
            return redirect('login');
        }
    }
    public function terminate($request, $response) {

    }
}
