<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TrainingBatch extends Model
{
    use HasFactory;
    protected $fillable = [
        'is_mandatory',
        'batch_no',
        'batch_title',
        'batch_desc',
        'batch_date',
        'batch_starttime',
        'batch_duration',
        'batch_max_trainee',
        'batch_status',
        'batch_zoomlink',
        'updated_by',
        'createdby',


    ];

    function batch(){
        return $this->hasOne('App\Models\TrainingBatchTrainers', 'tbt_batch_id');
   }
   function p_batch(){
    return $this->hasMany('App\Models\TrainingBatchTraineesUpdate', 'tbtu_batch_id')->where('tbtu_status',"P")->count();
}

    function c_batch(){
        return $this->hasMany('App\Models\TrainingBatchTraineesUpdate', 'tbtu_batch_id')->where('tbtu_status',"A")->count();;
    }

    public function trainees(){
        return $this->hasMany('App\Models\TrainingBatchTraineesUpdate', 'tbtu_batch_id');
    }

    public function attended_trainers(){
        return $this->whereRelation('trainees' , function($query){
            return $query->whereRelation('notes', 'attendence' , "Y");
        })->count();
    }

    

    public function checkMend($id){
        
        return $this->whereisMandatory('mandatory')->whereHas('trainees' , function ($query ) use($id) {
            return $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_status' , 'C');
        })->count() > 0 ? true : false;
    }
    public function checkBatch($id){
        return $this->whereHas('trainees' , function ($query ) use($id) {
            return 
            $query->where('tbtu_trainee_id', $id)
            ->where(function($query){
                return $query->where('tbtu_status' , 'A')
                ->orwhere('tbtu_status' , 'C');
            });
            
        })->count() > 0 ? true : false;
    }

    

   


}
