<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('first_name' , 50)->nullable();
            $table->string('last_name' , 50)->nullable();
            $table->string('phone' , 20)->nullable();
            $table->string('email' , 70)->unique();
            $table->text('address_one')->nullable();
            $table->text('address_two')->nullable();
            $table->string('city' , 50)->nullable();
            $table->string('postal_code' , 8)->nullable();
            $table->string('uname' , 20);
            $table->string('password' , 250);
            $table->string('user_type' , 50);
            $table->char('status' , 1);
            $table->bigInteger('referal_id')->nullable();
            $table->bigInteger('updated_by')->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
