<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInterviewSlotsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interview_slots', function (Blueprint $table) {
            $table->id();   
            $table->text('description')->nullable();
            $table->bigInteger('interviewee_id')->nullable();
            $table->date('date');
            $table->string('time' , 20);
            $table->bigInteger('interviewer_primary_id')->nullable();
            $table->bigInteger('interviewer_secondary_id')->nullable();
            $table->bigInteger('interviewer_tertiary_id')->nullable();
            $table->text('zoom_link');
            $table->char('status',1)->nullable();
            $table->string('booking_time')->nullable();
            $table->string('cancel_time')->nullable();
            $table->text('cancel_reason')->nullable();
            $table->bigInteger('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interview_slots');
    }
}
